Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.repository
Class FolderHandler

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.repository.FolderHandler

All Implemented Interfaces:
  ResourceHandler

    public class FolderHandler

extends java.lang.Object
implements ResourceHandler

Version:
  $Id: FolderHandler.java 9354 2007-08-06 14:47:57Z lucian $
Author:
  gtoffoli

Constructor Summary
`FolderHandler()`

Method Summary
`void` | `delete(ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`
`ResourceDescriptor` | `describe(Resource resource, java.util.Map arguments, RepositoryServiceContext serviceContext)`
`void` | `getAttachments(Resource resource, java.util.Map arguments, ResourceDescriptor descriptor, ResultAttachments attachments, RepositoryServiceContext serviceContext)`
`java.lang.Class` | `getResourceType()`
`void` | `put(ServiceRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderHandler

    public FolderHandler()

Method Detail

### getResourceType

    public java.lang.Class getResourceType()

  Specified by:
    `getResourceType` in interface `ResourceHandler`

### describe

    public ResourceDescriptor describe(Resource resource,
                                       java.util.Map arguments,
                                       RepositoryServiceContext serviceContext)

  Specified by:
    `describe` in interface `ResourceHandler`

### put

    public void put(ServiceRequest request)
             throws WSException

  Specified by:
    `put` in interface `ResourceHandler`
  Throws:
    `WSException`

### getAttachments

    public void getAttachments(Resource resource,
                               java.util.Map arguments,
                               ResourceDescriptor descriptor,
                               ResultAttachments attachments,
                               RepositoryServiceContext serviceContext)

  Specified by:
    `getAttachments` in interface `ResourceHandler`

### delete

    public void delete(ResourceDescriptor descriptor,
                       RepositoryServiceContext serviceContext)
                throws WSException

  Specified by:
    `delete` in interface `ResourceHandler`
  Throws:
    `WSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.